BLAEU(1)

NAME
Blaeu - Use the DNS to resolve the name

SYNOPSIS
blaeu-resolve domain-name

DESCRIPTION

  General options are:

--verbose or -v : makes the program more talkative

--help or -h : this message

--displayprobes or -o : display the probes numbers (WARNING: big lists)

--displayprobeasns : display the (unique) probe ASNumbers (currently only for blaeu-resolve)

--cache-probes=<file.json> : cache probe data

--country=2LETTERSCODE or -c 2LETTERSCODE : limits the measurements to one country (default is world-wide)

--area=AREACODE or -a AREACODE : limits the measurements to one area such as North-Central (default is world-wide)

--asn=ASnumber or -n ASnumber : limits the measurements to one AS (default is all ASes)

--prefix=IPprefix or -f IPprefix : limits the measurements to one IP prefix (default is all prefixes) WARNING: it must be an *exact* prefix in the global routing table

--probes=N or -s N : selects the probes by giving explicit ID (one ID or a comma-separated list)

--requested=N or -r N : requests N probes (default is 5)

--percentage=X or -p X : stops the program as soon as X % of the probes reported a result (default is 90 %)

--measurement-ID=N or -m N : do not start a measurement, just analyze a former one

--old-measurement MSMID or -g MSMID : uses the probes of measurement MSMID

--include TAGS or -i TAGS : limits the measurements to probes with these tags (a comma-separated list)

--exclude TAGS or -e TAGS : excludes from measurements the probes with these tags (a comma-separated list)

--port=N or -t N : destination port for TCP (default is 80)

--size=N or -z N : number of bytes in the packet (default is 64 bytes)

--ipv4 or -4 : uses IPv4 (default is IPv6, except if the parameter or option is an IP address, then it is automatically found)

--tags TAGS : tag the measurement (no relationship with probes tags) (a comma-separated list)

--spread or -w : spreads the tests (add a delay before the tests)

--private : makes the measurement private

--resolve-on-probe : resolve names with the probe's DNS resolver

--machine-readable or -b : machine-readable output, to be consumed by tools like grep or cut

  Also:

--displayresolvers or -l : display the resolvers IP addresses (WARNING: big lists)

--norecursive or -Z : asks the resolver to NOT recurse (default is to recurse, note --norecursive works ONLY if asking a specific resolver, not with the default one)

--dnssec or -D : asks the resolver the DNSSEC records

--nsid : asks the resolver with NSID (name server identification)

--ede : displays EDE (Extended DNS Errors)

--ednssize=N or -B N : asks for EDNS with the "payload size" option (default is very old DNS, without EDNS)

--tcp: uses TCP (default is UDP)

--tls: uses TLS (implies TCP)

--checkingdisabled or -k : asks the resolver to NOT perform DNSSEC validation

--displayvalidation or -j : displays the DNSSEC validation status

--displayrtt : displays the average RTT

--authority : displays the Authority section of the answer

--additional : displays the Additional section of the answer

--sort or -S : sort the result sets

--type or -q : query type (default is AAAA)

--class : query class (default is IN)

--severalperprobe : count all the resolvers of each probe (default is to count only the first to reply)

--nameserver=name_or_IPaddr[,...] or -x name_or_IPaddr : query this name server (default is to query the probe's resolver)

--probe_id : prepend probe ID (and timestamp) to the domain name (default is to abstain)

SEE ALSO
The full documentation for Blaeu is maintained as a Texinfo manual. If the info and Blaeu programs are properly installed at your site, the command

    info Blaeu

should give you access to the complete manual.